Automatic Updates overview

With Automatic Updates, Windows routinely checks for updates that can help protect your computer against the latest viruses and other security threats. These high-priority updates are available through the Windows Update Web site and include security updates, critical updates, or service packs.

When you turn on Automatic Updates, you don't have to search for updates online or worry that critical fixes might be missing. Windows automatically downloads and installs them for you, using a schedule that you determine. If you prefer to download and install updates yourself, you can also set up Automatic Updates to notify you whenever any high-priority updates become available.

Related Topics


Using Automatic Updates to help protect your computer

Why use scheduled updates to help protect your computer?

If you have not turned on Automatic Updates, your computer is more vulnerable to viruses and other security threats. When you turn on Automatic Updates, Windows routinely checks the Windows Update Web site for high-priority updates that can help protect your computer against attacks. High-priority updates include security updates, critical updates, and service packs.

Scheduled updates offer:

  • Convenience

    You don't have to remember to visit the Windows Update Web site or other online security sites to get updates. And you don't have to choose which updates are most important for protecting your computer—Automatic Updates looks for security updates, critical updates, and service packs, and installs them on the schedule that you set.

  • Reliability

    Updates are downloaded behind the scenes whenever you're connected to the Internet. The downloading process doesn't interfere with other downloads or interrupt you while you work. If you disconnect from the Internet before updates are fully downloaded, the download process will continue the next time you connect to the Internet. Don't forget, however, that updates must be installed to take effect. When you schedule updates, Windows automatically installs them for you, unless you choose to be notified and then install them yourself.

  • Up-to-date software

    You set the schedule for Windows to install new updates. This means that Windows is routinely checking for and installing any important updates that your computer needs. Even if you choose to be notified and install updates yourself, you still learn about important updates as they are released. By scheduling updates, you can quickly and easily keep your computer up to date—without thinking about it.


How does Automatic Updates work?

When you turn on Automatic Updates, Windows routinely checks the Windows Update Web site for high-priority updates that can help protect your computer from the latest viruses and other security threats. These updates can include security updates, critical updates, and service packs. Depending on the setting you choose, Windows automatically downloads and installs any high-priority updates that your computer needs, or notifies you as these updates become available.

How are updates downloaded?

When you connect to the Internet, Windows sends data to the Windows Update Web site about the way your computer is set up so the service can determine which updates your computer needs. Windows does not use your name, address, e-mail address, or any information that can be used to identify you or contact you. For details, see the Windows Update privacy statement.

It makes no difference whether you use a dial-up or broadband connection; important updates are downloaded behind the scenes and do not interfere with other downloads. If you disconnect from the Internet before updates are fully downloaded, nothing is lost. The download process will continue the next time you connect to the Internet.

How are updates installed?

You do not have to be connected to the Internet for Windows to install new updates. But updates must be installed, not just downloaded, before they can help protect your computer. If you use the Automatic (recommended) setting, new updates are installed at 3 A.M. However, you can change the time or frequency of scheduled updates to best suit your needs.

If your computer is turned off during a scheduled update, updates are installed the next time you start your computer. You can also choose to have Windows notify you when new updates are available, and then install them yourself.

You might be asked to accept an End User License Agreement (EULA) before certain updates can be installed. Other updates might require you to restart your computer before the installation process can be completed. If you are an administrator for your computer, you can delay the restart. Otherwise, Windows notifies you and then restarts your computer for you so the updates can begin to help protect your computer. It is always a good idea to save your work frequently, and to remind other users of your computer to save their work, especially before scheduled installation times.

Note

  • Installing updates before you shut down your computer is another way to keep your computer up to date and more secure. This option is available only in Microsoft Windows XP with Service Pack 2 (SP2), Microsoft Windows Server 2003 with Service Pack 1 (SP1), or an x64-based version of a Windows Server 2003 or Windows XP operating system and only if important updates have been downloaded but not yet installed. Do not turn off or unplug your computer while updates are installing. Windows will automatically turn off your computer after the updates are installed.


Options for setting up Automatic Updates on your computer

To choose when and how updates will be delivered to your computer, you have four options:

Automatic (recommended)

When you are connected to the Internet, Windows finds and downloads updates in the background—you are not notified or interrupted during this process and the updates do not interfere with other downloads. If you do not change the default schedule, updates that have been downloaded to your computer will be installed at 3 A.M.

If your computer is turned off during a scheduled update, Windows will install the updates the next time you start your computer. If you need to help complete the installation process, Windows will notify you. For example, you might need to accept an End User License Agreement (EULA) before some updates can be installed. If you need to restart your computer for an update to take effect, Windows will notify you and will restart your computer at the scheduled time.

Download updates for me, but let me choose when to install them

To receive alerts, you must be a member of the Administrators group for your computer. When you are connected to the Internet, Windows finds and downloads updates in the background—you are not notified or interrupted during this process and the updates do not interfere with other downloads.

After downloading is complete, the Windows Update icon Windows Update Icon appears in the notification area and an alert pops up, letting you know that the updates are ready to be installed. To review and install available updates, click the icon or the alert. You can install all or some of the available updates.

Notify me but don't automatically download or install updates

To manually download and install updates, you must be a member of the Administrators group for your computer. Windows checks for important updates and notifies you if any are available; updates are not delivered or installed on your computer until you choose to do so. When Windows finds updates for your computer, the Windows Update icon Windows Update Icon appears in the notification area and an alert pops up, letting you know that updates are ready to be downloaded. After you click the icon or the alert, you can select some or all of the updates to download.

Windows downloads the updates in the background—you are not notified or interrupted during this process and the updates do not interfere with other downloads. When downloading is complete, the Windows Update icon appears in the notification area again, this time to let you know that the updates are ready to be installed. You can choose to install all or some of the available updates.

Turn off Automatic Updates

You will never be notified when important updates are available for your computer, and you will never be asked to download or install them. This means that your computer can be vulnerable to security threats and harmful viruses that can damage your computer or your files. Viruses can also spread over the Internet to other people with whom you exchange e-mail, share files, or work with on a network.

New viruses and security threats are continually developed by attackers, so helping protect your computer is an ongoing process. If you do not turn on Automatic Updates, we recommend that you regularly install updates from the Windows Update Web site (http://www.microsoft.com/).

Notes

  • To open System, click Start, click Control Panel, click Performance and Maintenance, and then click System.
  • Installing updates before you shut down your computer is another way to keep your computer up to date and more secure. This option is available only in Microsoft Windows XP with Service Pack 2 (SP2), Microsoft Windows Server 2003 with Service Pack 1 (SP1), or an x64-based version of a Windows Server 2003 or Windows XP operating system and only if important updates have been downloaded but not yet installed. Do not turn off or unplug your computer while updates are installing. Windows will automatically turn off your computer after the updates are installed.
  • Only users with administrator privileges may add or remove programs, including Windows updates. It is strongly recommended that you log out of the computer administrator account when you are not performing tasks that require administrator privileges. If you are logged on as an administrator when your computer is the target of a virus or malicious user, the attack can cause extensive damage. For example, it might be able to reformat your hard drive, delete all your files, or create a new administrator account so the attacker can take over your computer. For more information about user accounts and why you should not run your computer as an administrator, see Help and Support.


Automatic Updates: Frequently Asked Questions

Why are updates important?

What are updates?

Microsoft offers important updates, which include security and other critical updates, to help protect your computer against new viruses and other security threats that can spread over the Internet or a network. Other updates contain enhancements, such as upgrades and tools that can help your computer run more smoothly. What are all of the different types of Microsoft software updates?

How can I keep my computer updated?

  • Turn on Automatic Updates: Get high-priority updates, which include security and other critical updates, automatically delivered to your computer and installed on a schedule that you set. Turn on Automatic Updates and choose a setting by opening System and then clicking the Automatic Updates tab. (If you are running Windows 2000, click Start, point to Settings, click Control Panel, and then double-click Automatic Updates.)
  • Visit the Windows Update Web site (http://www.microsoft.com/): Go here on a regular basis to get high priority and optional updates for your computer.

Why should I use Automatic Updates?

Turning on Automatic Updates is the easiest way to help protect your computer against new and ongoing attacks. When you turn on Automatic Updates, Windows regularly checks the Windows Update Web site for important updates that your computer might need. These updates can include security updates, critical updates, and service packs. Windows downloads updates behind the scenes when you are online—the updates do not interfere with other downloads and you aren't interrupted while you're working.

Windows automatically installs important updates for you, though in some cases you may be asked to accept an End User License Agreement (EULA) or restart your computer to finish the process. Updates are installed on a schedule that you set, so you don't have to search the Windows Update Web site for new updates or worry that something important might be missing. You can also set up Automatic Updates to notify you when updates are available so you can download and install updates yourself.

How does Automatic Updates work?

How are updates downloaded?

When you connect to the Internet, Windows sends data about the way your computer is set up to the Windows Update Web site so the service can determine which updates your computer might need. Windows does not send your name, address, e-mail address, or any information that can be used to identify you or contact you. If updates are available, they are downloaded behind the scenes when you are online—they do not interfere with other downloads and you are not interrupted.

If you use a broadband connection, updates can be downloaded at any time, even if you are not actively using the Internet. If you use a dial-up connection, updates can be downloaded only when you are connected to the Internet. If you disconnect from the Internet before updates are fully downloaded, the download process will continue the next time you connect to the Internet.

Remember that updates must be installed before they can help protect your computer. Remember, too, that if you do not use the Automatic (recommended) setting, Windows can only remind you about updates if you are logged on as a member of the Administrators group. (Only administrators can add or remove programs, including updates.) To notify you, the Windows Update icon appears in the notification area and an alert appears, stating that new updates are ready to be downloaded.

How are important updates installed?

How updates are installed depends on the Automatic Update settings you choose. If you use the Automatic (recommended) setting, updates are installed at 3 A.M. However, you can change the time or frequency of scheduled updates to best suit your needs. If your computer is turned off during a scheduled update, updates are installed the next time you start your computer.

In some cases, an update will require you to accept an End User License Agreement (EULA). If so, Windows notifies you. If an update requires you to restart your computer before it can be installed, Windows notifies you to restart your computer for security maintenance. Make sure you save your work frequently and remind other users to save their work, especially before scheduled installation times.

Remember that if you do not use the Automatic (recommended) setting, Windows can only notify you about updates if you are logged on as a member of the Administrators group. (Only administrators can add or remove programs, including updates.) To notify you, the Windows Update icon appears in the notification area and an alert appears, stating that new updates are ready to be installed.

You do not have to be connected to the Internet for updates to be installed.

Are Automatic Updates the same updates as those that are available from the Windows Update Web site?

Yes. However, Automatic Updates delivers only the latest important updates that can help protect your computer against viruses and other security threats. These updates can include security updates, critical updates and service packs and should be installed as soon as they are released. You can download and install other types of updates, such as upgrades and tools that help improve the performance of your computer, by visiting the Windows Update Web site (http://www.microsoft.com/) on a regular basis.

How long will it take to download or install an update?

It depends on the type of Internet connection you have and the size and number of updates that are being downloaded or installed. You can view the progress of downloads by hovering over the Windows Update icon which will appear in the notification area. Remember that updates are downloaded behind the scenes so you are not interrupted. You can view more details about the installation progress by clicking the Windows Update icon while updates are being installed. If there are a large number of updates and the download process is expected to take a long time (due to infrequent or slow Internet connections), Windows will also notify you at least once every other day about updates that have successfully finished downloading.

Will I need to restart my computer?

It depends. Some updates cannot be installed or will not take effect until you restart your computer. For those, Windows notifies you to restart your computer for security maintenance. If you are an administrator for your computer, you can delay the restart; otherwise, Windows warns you and then restarts your computer for you. Make sure you save your work and remind other users to save their work, especially before scheduled installation times.

Will I need to accept an End User License Agreement (EULA)?

Sometimes. Some updates require you to accept a EULA before the updates can be installed. These updates can not be automatically installed so an alert and the Windows Update icon Windows Update Icon will appear in the notification area to let you know that updates are ready to be installed. Click the icon to view and accept the EULA for these updates and then install them.

How do I know which updates are already installed?

To see a list of updates already installed on your computer, go to the Windows Update Web site (http://www.microsoft.com/). In the left pane, under Other Options, click View installation history. In Microsoft Windows XP with Service Pack 2 (SP2), Microsoft Windows Server 2003 with Service Pack 1 (SP1), or an x64-based version of a Windows Server 2003 or Windows XP operating system, you can also open Add or Remove Programs in Control Panel and select the Show Updates check box.

How can I be sure that updates are safe to install?

Windows uses Secure Socket Layer (SSL) to encrypt the transfer of system information and updates between your computer and the Windows Update Web site. Each file that you download using Automatic Updates has a digital signature from Microsoft. Digital signatures are designed to ensure the authenticity and integrity of signed files. Automatic Updates will not install files that do not contain the correct digital signature.

How much does it cost to use Automatic Updates?

There is no charge to you for this service. Updates from Microsoft are provided at no cost, as part of maintenance and support service for Windows users. Microsoft is committed to helping protect your computing environment, no matter what tasks you perform at your computer. Depending on your Internet connection, standard local and long distance phone charges and Internet service charges might apply.

What type of information is sent to Microsoft during the update process?

To provide you with the best possible service, Windows Update collects some system configuration data in order to provide you with updates that apply to your computer. This information includes:

  • Computer make and model
  • Windows version number
  • Internet Explorer version number
  • Version numbers of other Microsoft software for which updates might be available
  • Plug and Play ID numbers of hardware devices
  • Region and Language setting
  • Globally Unique Identifier (GUID)
  • Product ID and Product Key
  • BIOS name, revision number, and revision date

Microsoft is committed to helping protect your privacy. Windows Update does not collect your name, address, e-mail address, or any other form of personally identifiable information. Your Internet Protocol (IP) address is logged when you connect to the Windows Update site, but this address will only be used to generate aggregate statistics. For more details on how the information is protected, see the Windows Update privacy statement. You can always find the privacy statement at the Windows Update Web site (http://www.microsoft.com/).

What if …?

I'm not an administrator for my computer?

To help protect your computer, use the Automatic (recommended) setting, which checks for new updates and automatically downloads and installs them—regardless of whether you or other users are administrators for your computer.

Only users with administrator privileges may add or remove programs, including Windows updates. If you are not an administrator for your computer, you need to contact someone who is so they can change your Automatic Updates settings to the recommended setting.

It is strongly recommended that you log out of the computer administrator account when you are not performing tasks that require administrator privileges. If you are logged on as an administrator when your computer is the target of a virus or malicious user, the attack can cause extensive damage. For example, it might be able to reformat your hard drive, delete all your files, or create a new administrator account so the attacker can take over your computer. For more information about user accounts and why you should not run your computer as an administrator, see Help and Support.

My Internet connection disconnects before an update is downloaded?

If you disconnect from the Internet before updates are fully downloaded, the download process will continue from where it was interrupted the next time you connect to the Internet. If you use a dial-up connection, we recommend that you try to stay connected long enough for Windows to download all applicable updates. You do not need to be connected to the Internet to install updates, just to download them.

My Automatic Updates options are grayed out?

If your computer is part of a network, your network administrator might have configured your Automatic Updates options for you. Network administrators often need to implement systemwide changes to help make sure that the network operates smoothly and more securely whenever changes, such as updates, are applied. Your options might also be grayed out if you are not an administrator for your computer. Only administrators can add or remove programs, including updates.

I hid an update but want to install it later?

You can install all hidden updates by opening System, and, on the Automatic Updates tab, clicking Restore hidden updates. (If you are running Windows 2000, click Start, point to Settings, click Control Panel, and then double-click Automatic Updates.) The next time you connect to the Internet, Windows will check for all applicable updates for your computer, old or new.

To choose which hidden updates you want to install, go to the Windows Update Web site (http://www.microsoft.com/) and click Custom Install. In the left pane, under Other Options, click Restore hidden updates and then select the updates you want to download and install.

I can't hide an update?

If your computer is part of a network, a network administrator has determined that the update must be installed for security maintenance. The update will be installed on the schedule that the network administrator sets. In rare cases, Microsoft will issue an update deemed critical to how the Windows Update Web site or Automatic Updates functions. These updates cannot be hidden, so you will always be notified that they are available to be downloaded or installed so you can continue using Automatic Updates.

I can't uninstall an update?

Only administrators can add or remove programs, including updates. If you are not an administrator for your computer, you must contact an administrator to manage updates. If your computer is part of a network and you uninstall an update, your network administrator may re-install it as part of systemwide security or maintenance policy. In rare cases, some updates can not be uninstalled.

I want to uninstall some of the updates from a security package?

Some security updates can contain multiple updates, which are downloaded and installed as a package. You cannot uninstall some of the updates within a security package; you need to uninstall the entire package.

I've restored my hidden updates but cannot find the one I want?

If you visit the Windows Update Web site (http://www.microsoft.com/) but cannot find the update in the Restore hidden updates list, the update no longer applies to your computer. Updates no longer apply when another update, such as a critical update, security update, service pack, or other type of update, includes the same solution for your computer and that later update has already been installed.

I share my computer with other users—do we get the same updates?

Yes. Updates apply to the computer, not to each user account. If you install an update, the update applies for all users of the computer. Similarly, if you decline or uninstall an update, it will not be available for other users.

I have a home network—do all computers get the same updates?

Not necessarily. If you use more than one computer, including laptops, in a home network, each computer must have access to the Internet and you must turn on Automatic Updates for each computer separately. Also, if any computers run different versions of Windows, different updates will apply.

It's a good idea to use the Automatic (recommended) setting for all your computers so you can keep Windows up to date and help protect your home network, no matter who uses the computers. Unless you use the Automatic (recommended) setting for all computers on your network, or set policies using a domain controller, you need to be sure that updates are downloaded and installed for each computer separately.

My computer is in hibernate or standby mode during a scheduled update?

Updates will not be installed at the scheduled time. Instead, updates will be installed the next time you start your computer. This means you need to shut down your computer, not let it hibernate or stand by, and then restart it before the updates can be installed.

If you are an administrator for your computer and you usually hibernate or suspend it, you can install available updates as soon as they become available. The Windows Update icon Windows Update Icon appears in the notification area whenever updates are fully downloaded and ready to install. If you like, you can click the icon and install new updates before the scheduled time.

My computer is turned off during a scheduled update?

Any updates that have been downloaded are not installed. Instead, updates are installed the next time you start your computer. If you are an administrator for your computer, the Windows Update icon Windows Update Icon appears in the notification area whenever updates are ready to install. If you like, you can click the icon and install new updates before the scheduled time.

I never turn off my computer?

If you use the Automatic (recommended) setting, or scheduled updates, Windows will download new updates whenever you are connected to the Internet. Updates are installed at the scheduled time, as long as your computer is turned on. If any updates require you to accept an End User License Agreement (EULA), Windows will notify you and the updates will not be installed until you view and accept the agreement.

Some updates cannot be installed unless your computer is restarted. For these, Windows notifies you that your computer needs to be restarted for security maintenance. If you are an administrator for your computer, you can delay the restart. Otherwise, Windows will warn you and then restart your computer so the updates can begin to help protect your computer.


How to...

  • Turn on Automatic Updates
  • Schedule Automatic Updates
  • Change how updates are downloaded and installed
  • Download updates that apply to your computer
  • Review and install downloaded updates
  • View a list of updates installed on your computer
  • Check if there are new updates for your computer
  • Stop Windows from notifying you about updates that you have already decided not to download or install (hide updates)
  • Restore hidden updates
  • Uninstall an update


Windows Update privacy statement

Last updated: 4/15/2004
View the latest version of this privacy statement at the Windows Update Web site.

Microsoft is committed to protecting your privacy.

What data is collected—and why?

Windows Update collects general system information from your computer with each visit, so that you receive the updates that work best with your computer. The information is also used to generate aggregate statistics about how the Windows Update Web site is used and which systems need support, so that we can improve our service. This information includes:

  • Computer make and model
  • Version information for the operating system, browser, and any other Microsoft software for which updates might be available
  • Plug and Play ID numbers of hardware devices
  • Region and language setting
  • Globally Unique Identifier (GUID)
  • Product ID and Product Key
  • BIOS name, revision number, and revision date

Your Internet Protocol (IP) address is logged when you connect to the Windows Update site, but this address will only be used to generate aggregate statistics.

How is this data used?

Windows Update collects the Product ID and Product Key to confirm that you are running a validly licensed copy of Windows. The Product ID and Product Key collected are not retained after you are finished using Windows Update, unless the Product ID is not valid.

To generate accurate statistics, Windows Update evaluates a Globally Unique Identifier (GUID) that is stored on your computer to uniquely identify it. The GUID does not contain any information that can be used to identify you. A GUID is assigned and tracked in the following cases:

  • To provide customers with the best possible service, Windows Update tracks and records the number of individual computers that visit the site and whether the download and installation of specific updates succeeded or failed. Windows Update records the GUID of the computer that attempted the download, the ID of the item that was requested, whether updates were required, and the configuration information listed above.
  • Windows Update logs an additional GUID if you provide responses about whether help and troubleshooting articles were useful in resolving your problem. This allows Windows Update to provide you with increasingly helpful and relevant information.
  • Microsoft collects information about the pages our customers visit within microsoft.com, including Windows Update. This information might include: your IP address, browser type, operating system, domain name, the time at which you accessed the site, and referring Web site addresses. This site visitation data is identified only by a unique ID number used solely for this purpose.

About surveys

Occasionally you might be invited to participate in a survey about the way you use the Windows Update Web site. Each survey includes a privacy statement that details the terms and use of any information submitted with that survey.


Change how updates are downloaded and installed

To change how updates are downloaded and installed

You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.

  1. Open System, and then click the Automatic Updates tab.
    – or–
    If you are running Windows 2000, click Start, point to Settings, click Control Panel, and then double-click Automatic Updates.
  2. Select a setting, and then click Apply.

You can select from the following options:

Automatic (recommended)

When you are connected to the Internet, Windows finds and downloads updates in the background—you are not notified or interrupted during this process and the updates do not interfere with other downloads. If you do not change the default schedule, updates that have been downloaded to your computer will be installed at 3 A.M.

If your computer is turned off during a scheduled update, Windows will install the updates the next time you start your computer. If you need to help complete the installation process, Windows will notify you. For example, you might need to accept an End User License Agreement (EULA) before some updates can be installed. If you need to restart your computer for an update to take effect, Windows will notify you but will also restart your computer at the scheduled time.

Download updates for me, but let me choose when to install them

With this option, updates will be downloaded to your computer and Windows will alert you that they are ready to be installed. To receive alerts, you must be a member of the Administrators group for your computer. When you are connected to the Internet, Windows finds and downloads updates in the background—you are not notified or interrupted during this process and the updates do not interfere with other downloads.

After downloading is complete, the Windows Update icon Windows Update Icon appears in the notification area and an alert pops up, letting you know that the updates are ready to be installed. To review and install available updates, click the icon or the alert. You can install all or some of the available updates.

Notify me but don't automatically download or install updates

To manually download and install updates, you must be a member of the Administrators group for your computer. Windows checks for important updates and notifies you if any are available but they are not delivered or installed on your computer until you choose to do so. When Windows finds updates for your computer, the Windows Update icon Windows Update Icon appears in the notification area and an alert pops up, letting you know that updates are ready to be downloaded. After you click the icon or the alert, you can select some or all of the updates to download.

Windows then downloads the updates in the background—you aren't notified or interrupted during this process and the updates do not interfere with other downloads. When downloading is complete, the Windows Update icon appears in the notification area again, this time to let you know that the updates are ready to be installed. You can choose to install all or some of the available updates.

Turn off Automatic Updates

You will never be notified when important updates are available for your computer, and you will never be asked to download or install them. This means that your computer can be vulnerable to security threats and harmful viruses that can damage your computer or your files. Viruses can also spread over the Internet to other people with whom you exchange e-mail, share files, or work with on a network.

New viruses and security threats are continually developed by attackers, so helping protect your computer is an ongoing process. If you don't turn on Automatic Updates, we recommend that you regularly install updates from the Windows Update Web site (http://www.microsoft.com/).

Notes

  • To open System, click Start, click Control Panel, click Performance and Maintenance, and then click System.
  • Only users with administrator privileges may add or remove programs, including Windows updates. It is strongly recommended that you log out of the computer administrator account when you are not performing tasks that require administrator privileges. If you are logged on as an administrator when your computer is the target of a virus or malicious user, the attack can cause extensive damage. For example, it might be able to reformat your hard drive, delete all your files, or create a new administrator account so the attacker can take over your computer. For more information about user accounts and why you should not run your computer as an administrator, see Help and Support.


Check if there are new updates for my computer

To check if there are new updates for your computer

If you turned on Automatic Updates, Windows automatically checks for important updates for your computer. These updates can include critical updates, security updates, and service packs. Windows notifies you about (or automatically installs) important updates, based on your Automatic Updates settings.

It is also a good idea to routinely check the Windows Update Web site to see if other types of updates, such as driver updates, are available. You must be logged on as a computer administrator to complete this procedure. You must also be connected to the Internet.

  1. Go to the Windows Update Web site (http://www.microsoft.com/).
  2. Click Express Install.

If updates are found, we recommend that you first install all high-priority updates, and then install all other updates such as software and hardware updates.

Notes

  • Some updates require you to accept an End User License Agreement (EULA) before you can install them. If you decline, these updates are not installed. If you change your mind, you can install them later by visiting the Windows Update Web site (http://www.microsoft.com/).
  • Some updates require you to restart your computer before the updates can take effect. Windows will notify any user who is logged on to the computer before restarting; however, only members of the local Administrators group can delay the restart. Make sure you save your work before restarting your computer and remind other users to save their work, especially before scheduled installation times.


Stop Windows from notifying you about updates that you have already decided not to download or install (hide updates)

To stop Windows from notifying you about updates that you have already decided not to download or install (hide updates)

You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure. You must also be connected to the Internet.

  1. When the Windows Update icon Windows Update Icon appears in the notification area, or when you are notified that updates are ready to download, click the icon.
  2. Review the recommended updates. If you do not want to download an item, clear the check box next to it.
  3. Click Download. (If you cleared all the check boxes, click Close.)
  4. In the confirmation dialog box, select the Don't notify me about this update again check box, and then click OK.

Notes

  • Hiding an update means that Windows will no longer try to download it when checking for updates that apply to your computer. If you change your mind and want to download a hidden update later, go to the Windows Update Web site (http://www.microsoft.com/), click Custom Install, and then click Restore hidden updates.


Review and install downloaded updates

To review and download updates that apply to your computer

Based on your Automatic Updates settings, Windows can notify you when updates that apply to your computer are ready to download. You can review each update and choose whether to download it. To help protect your computer, we recommend that you download and install all updates that apply to your computer as soon as they are available.

  1. When you are notified that new updates are ready to be downloaded, click the Windows Update icon Windows Update Icon that appears in the notification area.
  2. By default, all updates are selected to be downloaded. If you do not want Windows to download an update, clear the check box beside it.
  3. Click Download.

Notes

  • If you are using the Automatic (recommended) setting, Windows automatically downloads important updates as soon as they are available. You are not notified or interrupted during the process.
  • Windows Update software might automatically be updated prior to applying any other updates.


Review and install downloaded updates

To install available updates

  1. When the Windows Update icon Windows Update Icon appears in the notification area, or when you are notified that updates are ready to install, click the icon.
  2. To install all available updates, click Express install (Recommended), or, to choose which downloads to install, click Custom install (Advanced). By default, all updates are selected to be installed. If you do not want Windows to download an update, clear the check box next to it.

Windows notifies you when the updates are installed. Windows will also notify you if you need to accept an End User License Agreement (EULA) or restart your computer to complete the installation process.

Notes

  • Windows might prompt you to restart your computer after installing certain updates. Please restart your computer when prompted; otherwise, your computer might not work properly.
  • If you are using the Automatic (recommended) setting, Windows automatically installs important updates on the schedule that you selected. You are not notified or interrupted during the process unless you need to accept an End User License Agreement (EULA) or restart your computer.
  • Windows Update software might automatically be updated prior to applying any other updates.


Schedule automatic updates

To schedule automatic updates

You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.

  1. Open System, and then click the Automatic Updates tab.
    – or –
    If you are running Windows 2000, click Start, point to Settings, click Control Panel, and then double-click Automatic Updates.
  2. Click Automatic (recommended).
  3. Under Automatically download recommended updates for my computer and install them, set the time and day you want Windows to install updates, and then click Apply.

Notes

  • To open System, click Start, click Control Panel, click Performance and Maintenance, and then click System.
  • Scheduled updates are automatically installed at the scheduled time, regardless of who is logged on to the computer. If you choose to be notified before updates can be installed, you must be logged on as an administrator to get notifications and to install updates.
  • Some updates require you to restart your computer before they can take effect. Windows will notify any user who is logged on to the computer before restarting; however, only members of the local Administrators group can stop the computer from restarting. Make sure you save your work before restarting your computer and remind other users to save their work, especially before scheduled installation times.


Have Windows remind you about pending updates

To have Windows remind you about pending updates

With Automatic Updates, Windows can routinely check for the latest important updates for your computer and install them automatically. Or, if you prefer, you can choose to be notified of high-priority updates and download and install them as they become available.

For more information, click Related Topics.


Restore hidden updates

To restore hidden updates

You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.

  1. Open System, and then click the Automatic Updates tab.
    – or –
    If you are running Windows 2000, click Start, point to Settings, click Control Panel, and then double-click Automatic Updates.
  2. Click Restore hidden updates.

The next time you connect to the Internet, Windows will check for any high-priority updates for your computer, including updates that you previously declined. Windows will either download the updates automatically or notify you that they are available, depending on your Automatic Updates setting.

Alternately, you can restore hidden updates by visiting the Windows Update Web site.

  1. Go to the Windows Update Web site (http://www.microsoft.com/).
  2. Click Custom Install.
  3. In the left pane, click Restore Hidden Updates, and then select the updates you want to install.
  4. Click Install.

Notes

  • To open System, click Start, click Control Panel, click Performance and Maintenance, and then click System.
  • When you restore hidden updates, Windows determines which updates still apply to your computer. If you cannot find a specific hidden update, you might have installed a more recent update that replaced the original.
  • Some updates require you to accept an End User License Agreement (EULA) before you can install them. If you decline the agreement, the updates are not installed. If you change your mind, you can install the updates later by visiting the Windows Update Web site (http://www.microsoft.com/).
  • Some updates require you to restart your computer before they take effect. Windows will notify any user who is logged on to the computer before restarting; however, only members of the local Administrators group can stop the computer from restarting. Make sure you save your work before restarting your computer and remind other users to save their work, especially before scheduled installation times.


Turn on Automatic Updates

To turn on Automatic Updates

You must be logged on as a computer administrator to complete this procedure.

  1. Open System, and then click the Automatic Updates tab.
    – or –
    If you are running Windows 2000, click Start, point to Settings, click Control Panel, and then double-click Automatic Updates.
  2. Click Automatic (recommended).
  3. Under Automatically download recommended updates for my computer and install them, select the day and time you want Windows to install updates.

Notes

  • To open System, click Start, click Control Panel, click Performance and Maintenance, and then click System.
  • Automatic Updates provides high-priority updates, which include security and other critical updates that can help protect your computer. It's a good idea to visit the Windows Update Web site (http://www.microsoft.com/) on a regular basis to get optional updates, such as recommended software and hardware updates, that can help improve your computer's performance.


Uninstall an update

To uninstall an update

You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.

  1. Open Add or Remove Programs.
  2. On the top right, select the Show updates check box. All installed updates appear at the top of your program list.
  3. Click the update you want to uninstall, and then click Remove.

Note

  • To open Add or Remove Programs, click Start, click Control Panel, and then double-click Add or Remove Programs.


View a list of updates installed on your computer

To view a list of updates installed on your computer

  1. Open Add or Remove Programs.
  2. On the top right, select the Show updates check box. All installed updates appear at the top of your program list.

Notes

  • To open Add or Remove Programs, click Start, click Control Panel, and then double-click Add or Remove Programs.
  • You can also view your installation history at the Windows Update Web site (http://www.microsoft.com/).


.topic 3000
Specifies whether Windows will update your computer automatically, based on the setting you choose.

.topic 3001
Configures Windows to notify you before downloading any updates and again when the updates are ready for installation.

.topic 3002
Configures Windows to automatically download the updates. Windows notifies you when the updates are ready to be installed.

.topic 3003
Configures Windows to automatically download updates. Windows installs the updates according to your schedule.

.topic 3004
Specifies the day(s) when Windows will install updates.

.topic 3005
Specifies the hour when Windows will install updates.

.topic 3006
Enables you to specify that Windows notify you again about updates you previously declined.


Compile Date

Microsoft Windows graphic
Compile Date: 2005-01-12